Subject: [PATCHv4] Re: gitk french translation

From: Nicolas Sebrecht <[email-masked]>
Date: Fri, 20 Nov 2009 00:57:40 +0100

The 19/11/09, Emmanuel Trillaud wrote:

> Signed-off-by: Emmanuel Trillaud <[email-masked]>
> Signed-off-by: Thomas Moulard <[email-masked]>
> Signed-off-by: Guy Brand <[email-masked]>
> 
> --

The two dashes are taken as the signature delimiter by my MUA, so I can't
comment without doing an annoying repairing. Please, keep the three
dashes undamaged.

> @@ -0,0 +1,1243 @@
> +
> +# French translation of the gitk package
> +# Copyright (C) 2005-2008 Paul Mackerras.  All rights reserved.
> +# This file is distributed under the same license as the gitk package.
> +# Translators:
> +# Emmanuel Trillaud <[email-masked]>
> +#
> +msgid ""
> +msgstr ""
> +"Project-Id-Version: gitk\n"
> +"Report-Msgid-Bugs-To: \n"
> +"POT-Creation-Date: 2009-10-05 15:16+0200\n"
> +"PO-Revision-Date: 2009-11-19 22:11+0100\n"
> +"Last-Translator: YOUR NAME <E-MAIL@ADDRESS>\n"
> +"Language-Team: FRENCH\n"

Could you please fill in these fields?

> +#: gitk:113
> +msgid "Couldn't get list of unmerged files:"
> +msgstr "Impossible de r=E9cup=E9rer la liste des fichiers non fusionn=E9s =
> :"

The whole patch is broken because of wrapped lines like this one. I
can't believe any patch will be merged because the maintainer would have
to manually repair all these lines. Please, disable the line wrapping
option of Sylpheed to inline patches. 

> +#: gitk:2141
> +msgid "Diff"
> +msgstr "Diff=E9rences"

Didn't we agreed on the "Diff" translation?

> +#: gitk:2361 gitk:2378
> +msgid "Diff this -> selected"
> +msgstr "Diff=E9rences entre ceci et la s=E9lection"

Ditto.

> +#: gitk:2362 gitk:2379
> +msgid "Diff selected -> this"
> +msgstr "Diff=E9rence entre s=E9lection et ceci"

Ditto.

> +msgid "<Delete>, b\tScroll diff view up one page"
> +msgstr "<Supprimer>, b\tMonter d'une page dans la vue des diff=E9rences"
> +
> +#: gitk:2706
> +msgid "<Backspace>\tScroll diff view up one page"
> +msgstr "<Backspace>\tMonter d'une page dans la vue des diff=E9rences"
> +
> +#: gitk:2707
> +msgid "<Space>\t\tScroll diff view down one page"
> +msgstr "<Espace>\t\tDescendre d'une page dans la vue des diff=E9rences"
> +
> +#: gitk:2708
> +msgid "u\t\tScroll diff view up 18 lines"
> +msgstr "u\t\tMonter de 18 lignes dans la vue des diff=E9rences"
> +
> +#: gitk:2709
> +msgid "d\t\tScroll diff view down 18 lines"
> +msgstr "d\t\tDescendre de 18 lignes dans la vue des diff=E9rences"

Ditto for all the above.

> +#: gitk:2715
> +msgid "f\t\tScroll diff view to next file"
> +msgstr "f\t\tAller au prochain fichier dans la vue des diff=E9rences"

Ditto.

> +#: gitk:2716
> +#, tcl-format
> +msgid "<%s-S>\t\tSearch for next hit in diff view"
> +msgstr "<%s-S>\t\tAller au r=E9sultat suivant dans la vue des
> diff=E9rences" +
> +#: gitk:2717
> +#, tcl-format
> +msgid "<%s-R>\t\tSearch for previous hit in diff view"
> +msgstr "<%s-R>\t\tAller au r=E9sultat pr=E9c=E9dent dans la vue des
> diff=E9rences" +

Ditto.

Ok, I stop here the review. It really looks like you've sent a wrong
patch; maybe an earlier version which doesn't include the previous
comments.

-- 
Nicolas Sebrecht